TextToSpeechGetFeatures(3dtk)

Name

TextToSpeechGetFeatures - Retrieves information about DECtalk Software features.

Syntax
    DWORD TextToSpeechGetFeatures (void)

Description

This function retrieves information, in the form of a bitmask, about the features of DECtalk Software.

If the DECtalk Multi-Language (ML) engine is running, the ML bit is set to TRUE, as well as any feature bits returned from DECtalk.

Future implementation may involve calling TextToSpeechSelectLang() to select the language for which to retrieve information.

Return Values

This function returns a value of type DWORD, which is a bitmask of features supported by DECtalk. The value returned is maskable to the list of values supplied in the header file TTSFEAT.H.

Example
    BOOL is_dectalk_ml (unsigned int language_handle) {
        unsigned long int feats;

        TextToSpeechSelectLang (NULL, language_handle);
        feats = TextToSpeechGetFeatures();
        if (feats & TTS_FEATS_MULTILANG) {
            printf ("DECtalk ML installed and running.\n");
            return TRUE;
        }
        printf ("Multi-language DECtalk not found.\n");
        return FALSE;
    }